OpenTTD Source: EconomySettings Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
EconomySettings Struct Reference

Settings related to the economy. More...

`#include <settings_type.h>`

## Data Fields
bool | inflation
| disable inflation
bool | bribe
| enable bribing the local authority
EconomyType | type
| economy type (original/smooth/frozen)
uint8_t | feeder_payment_share
| percentage of leg payment to virtually pay in feeder systems
uint8_t | dist_local_authority
| distance for town local authority, default 20
bool | exclusive_rights
| allow buying exclusive rights
bool | fund_buildings
| allow funding new buildings
bool | fund_roads
| allow funding local road reconstruction
bool | give_money
| allow giving other companies money
bool | mod_road_rebuild
| roadworks remove unnecessary RoadBits
bool | multiple_industry_per_town
| allow many industries of the same type per town
uint8_t | town_growth_rate
| town growth rate
uint8_t | larger_towns
| the number of cities to build. These start off larger and grow twice as fast
uint8_t | initial_city_size
| multiplier for the initial size of the cities compared to towns
TownLayout | town_layout
| select town layout,
TownCargoGenMode | town_cargogen_mode
| algorithm for generating cargo from houses,
bool | allow_town_roads
| towns are allowed to build roads (always allowed when generating world / in SE)
TownFounding | found_town
| town founding.
PlaceHouses | place_houses
| players are allowed to place town houses.
bool | station_noise_level
| build new airports when the town noise level is still within accepted limits
uint16_t | town_noise_population [4]
| population to base decision on noise evaluation (
bool | allow_town_level_crossings
| towns are allowed to build level crossings
bool | infrastructure_maintenance
| enable monthly maintenance fee for owner infrastructure
TimekeepingUnits | timekeeping_units
| time units to use for the game economy, either calendar or wallclock
uint16_t | minutes_per_calendar_year
| minutes per calendar year. Special value 0 means that calendar time is frozen.
uint16_t | town_cargo_scale
| scale cargo production of towns by this percentage.
uint16_t | industry_cargo_scale
| scale cargo production of industries by this percentage.

## Detailed Description

Settings related to the economy.

Definition at line 540 of file settings_type.h.

## Field Documentation

## ◆ allow_town_level_crossings

bool EconomySettings::allow_town_level_crossings

towns are allowed to build level crossings

Definition at line 562 of file settings_type.h.

Referenced by AfterLoadGame(), CanRoadContinueIntoNextTile(), and GrowTownInTile().

## ◆ allow_town_roads

bool EconomySettings::allow_town_roads

towns are allowed to build roads (always allowed when generating world / in SE)

Definition at line 557 of file settings_type.h.

Referenced by AfterLoadGame(), InitializePatchFlags(), TileLoop_Town(), and TownTickHandler().

## ◆ bribe

bool EconomySettings::bribe

enable bribing the local authority

Definition at line 542 of file settings_type.h.

Referenced by TownAuthorityWindow::GetEnabledActions(), and GetMaskOfTownActions().

## ◆ dist_local_authority

uint8_t EconomySettings::dist_local_authority

distance for town local authority, default 20

Definition at line 545 of file settings_type.h.

Referenced by CheckIfAuthorityAllowsNewStation(), CmdConvertRoad(), CmdPlantTree(), HighlightTownLocalAuthorityTiles(), and LandInfoWindow::OnInit().

## ◆ exclusive_rights

bool EconomySettings::exclusive_rights

allow buying exclusive rights

Definition at line 546 of file settings_type.h.

Referenced by TownAuthorityWindow::GetEnabledActions(), GetMaskOfTownActions(), and TownActionBuyRights().

## ◆ feeder_payment_share

uint8_t EconomySettings::feeder_payment_share

percentage of leg payment to virtually pay in feeder systems

Definition at line 544 of file settings_type.h.

Referenced by AfterLoadGame(), and CargoPayment::PayTransfer().

## ◆ found_town

TownFounding EconomySettings::found_town

town founding.

Definition at line 558 of file settings_type.h.

Referenced by CmdFoundTown(), MenuClickTown(), and FoundTownWindow::OnInit().

## ◆ fund_buildings

bool EconomySettings::fund_buildings

allow funding new buildings

Definition at line 547 of file settings_type.h.

Referenced by TownAuthorityWindow::GetEnabledActions(), GetMaskOfTownActions(), and TownActionFundBuildings().

## ◆ fund_roads

bool EconomySettings::fund_roads

allow funding local road reconstruction

Definition at line 548 of file settings_type.h.

Referenced by TownAuthorityWindow::GetEnabledActions(), GetMaskOfTownActions(), and TownActionRoadRebuild().

## ◆ give_money

bool EconomySettings::give_money

allow giving other companies money

Definition at line 549 of file settings_type.h.

Referenced by CmdGiveMoney(), and CompanyWindow::OnPaint().

## ◆ industry_cargo_scale

uint16_t EconomySettings::industry_cargo_scale

scale cargo production of industries by this percentage.

Definition at line 567 of file settings_type.h.

Referenced by ScaleByCargoScale(), and ScaleByInverseCargoScale().

## ◆ inflation

bool EconomySettings::inflation

disable inflation

Definition at line 541 of file settings_type.h.

Referenced by InitializePatchFlags().

## ◆ infrastructure_maintenance

bool EconomySettings::infrastructure_maintenance

enable monthly maintenance fee for owner infrastructure

Definition at line 563 of file settings_type.h.

Referenced by AfterLoadGame(), CompaniesGenStatistics(), CompanyInfrastructureWindow::DrawWidget(), BuildAirportWindow::OnPaint(), and CompanyInfrastructureWindow::UpdateWidgetSize().

## ◆ initial_city_size

uint8_t EconomySettings::initial_city_size

multiplier for the initial size of the cities compared to towns

Definition at line 554 of file settings_type.h.

Referenced by DoCreateTown().

## ◆ larger_towns

uint8_t EconomySettings::larger_towns

the number of cities to build. These start off larger and grow twice as fast

Definition at line 553 of file settings_type.h.

Referenced by AfterLoadGame(), GenerateTowns(), and TownScopeResolver::GetVariable().

## ◆ minutes_per_calendar_year

uint16_t EconomySettings::minutes_per_calendar_year

minutes per calendar year. Special value 0 means that calendar time is frozen.

Definition at line 565 of file settings_type.h.

Referenced by ChangeMinutesPerYear(), and ChangeTimekeepingUnits().

## ◆ mod_road_rebuild

bool EconomySettings::mod_road_rebuild

roadworks remove unnecessary RoadBits

Definition at line 550 of file settings_type.h.

## ◆ multiple_industry_per_town

bool EconomySettings::multiple_industry_per_town

allow many industries of the same type per town

Definition at line 551 of file settings_type.h.

Referenced by FindTownForIndustry().

## ◆ place_houses

PlaceHouses EconomySettings::place_houses

players are allowed to place town houses.

Definition at line 559 of file settings_type.h.

Referenced by CmdPlaceHouse(), and MenuClickTown().

## ◆ station_noise_level

bool EconomySettings::station_noise_level

build new airports when the town noise level is still within accepted limits

Definition at line 560 of file settings_type.h.

Referenced by AfterLoadGame(), CmdBuildAirport(), TownViewWindow::DrawWidget(), TownViewWindow::GetDesiredInfoHeight(), InitializePatchFlags(), BuildAirportWindow::OnPaint(), and RemoveAirport().

## ◆ timekeeping_units

TimekeepingUnits EconomySettings::timekeeping_units

time units to use for the game economy, either calendar or wallclock

Definition at line 564 of file settings_type.h.

Referenced by AfterLoadGame(), ChangeMinutesPerYear(), and TimerGameEconomy::UsingWallclockUnits().

## ◆ town_cargo_scale

uint16_t EconomySettings::town_cargo_scale

scale cargo production of towns by this percentage.

Definition at line 566 of file settings_type.h.

Referenced by ScaleByCargoScale(), and ScaleByInverseCargoScale().

## ◆ town_cargogen_mode

TownCargoGenMode EconomySettings::town_cargogen_mode

algorithm for generating cargo from houses,

See also
  TownCargoGenMode

Definition at line 556 of file settings_type.h.

Referenced by AfterLoadGame(), and TileLoop_Town().

## ◆ town_growth_rate

uint8_t EconomySettings::town_growth_rate

town growth rate

Definition at line 552 of file settings_type.h.

Referenced by GetNormalGrowthRate(), and UpdateTownGrowth().

## ◆ town_layout

TownLayout EconomySettings::town_layout

select town layout,

See also
  TownLayout

Definition at line 555 of file settings_type.h.

Referenced by _GenerateWorld(), AfterLoadGame(), CmdFoundTown(), LoadTownData(), and FoundTownWindow::OnClick().

## ◆ town_noise_population

uint16_t EconomySettings::town_noise_population[4]

population to base decision on noise evaluation (

See also
  town_council_tolerance)

Definition at line 561 of file settings_type.h.

Referenced by Town::MaxTownNoise().

## ◆ type

EconomyType EconomySettings::type

economy type (original/smooth/frozen)

Definition at line 543 of file settings_type.h.

Referenced by ChangeIndustryProduction(), and IndustrySpec::UsesOriginalEconomy().

The documentation for this struct was generated from the following file:

- src/settings_type.h